curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-craigslist-postings-seller \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"posting": "22-character posting id or a posting URL",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-craigslist-postings-seller"
payload = {
"posting": "22-character posting id or a posting URL",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({posting: '22-character posting id or a posting URL', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-craigslist-postings-seller', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "craigslist_postings_seller",
"posting": "5F7Nf4GHyGGTHCwmJZDNM2",
"category": null,
"sort": "newest",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Craigslist seller postings\n\n- **Posting:** 5F7Nf4GHyGGTHCwmJZDNM2\n- **Sort:** newest\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 0\n- **Proxy traffic:** 8.0 KB\n\nNo records were returned for this request.",
"machine": {
"total_items": 0,
"total_results": 0,
"seller_posting_id": 7975475010,
"seller_area": "sfbay",
"first_item": null,
"items": [],
"proxy_traffic_bytes": 8240
},
"total_points": 0
}Craigslist Seller Postings
All postings published by the seller of a given Craigslist posting (a dealer’s, landlord’s or shop’s full inventory). 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Posting ID or URL. e.g. 22-character posting id or a posting URL
Max items (up to 500)
1 <= x <= 500Starting page
x >= 1Category (optional). e.g. sss
Sort by. Options: oldest = Oldest, price_asc = Price: low to high, price_desc = Price: high to low, distance = Distance, relevance = Relevance, upcoming = Upcoming
oldest, price_asc, price_desc, distance, relevance, upcoming Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.